Bug 591362 - Invalid option -a passed to fsck.hfsplus during boot
Invalid option -a passed to fsck.hfsplus during boot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hfsplus-tools (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 22:39 EDT by Chris Bagwell
Modified: 2012-09-08 22:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:27:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Support -a to fsck.hfs to work with systemd-fsck (1.75 KB, patch)
2011-04-12 22:57 EDT, Chris Bagwell
no flags Details | Diff

  None (edit)
Description Chris Bagwell 2010-05-11 22:39:11 EDT
Description of problem:

I have install hfsplus-tools and used to format a hfs+ partition and then added to /etc/fstab to mount at boot time.  During bootup, I get the following message:

Checking filesystems
Fedora: clean, 271326/5316608 files, 11152858/21248000 blocks
Boot: clean, 48/128016 files, 77770/512000 blocks
fsck.hfsplus: invalid option -- 'a'
usage: fsck.hfsplus [-dfl m [mode] npqruy] special-device
  d = output debugging info
  f = force fsck even if clean (preen only) 
  l = live fsck (lock down and test-only)
  m arg = octal mode used when creating lost+found directory 
  n = assume a no response 
  p = just fix normal inconsistencies 
  q = quick check returns clean, dirty, or failure 
  r = rebuild catalog btree 
  u = usage 
  y = assume a yes response 

Only found one internet search result where user modified fsck.hfsplus to accept -a option (probaby mapped to -p like e2fsck does).

I couldn't find where options are created and so writing a bug report in hope of help.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Add a mount option for hfs+ partition to /etc/fstab
2. Reboot system.
3. Look at boot messages error console that is automatically added to Gnome applet area.  It should contain above error message.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2010-07-30 07:36:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chris Bagwell 2011-04-03 23:31:40 EDT
I upgraded to Fedora 15 (beta) and noticed that the message still occurs during a reboot.
Comment 3 Chris Bagwell 2011-04-12 22:56:23 EDT
I've looked into this in detail in context of Fedora 15 beta.  It may be an issue that arrived with systemd.  I also had systemd installed on my Fedora 14 and haven't tried without systemd.

Systemd has a binary called /lib/systemd/systemd-fsck.  It invokes /sbin/fsck and hard codes the options passed to it using some reasonable standard options and "-a" is one of them.  Unfortunately, "-p" is better option for fsck.ext2/3/4 and fsck.hfs but the former supports "-a" as alias of "-p" (preen) option (see "man e2fsck" for more info).

Instead of forcing systemd-fsck to guess options supported by random filesystems, I think its easier and better to add "-a" as alias of "-p" to fsck.hfs.

I'm attaching a patch that applies to hfsplus-tools-332.14-12.fc15.src.rpm and add this option.

Appreciate if it could be added to RPM since there doesn't really seem to be an upstream for me to send this to.
Comment 4 Chris Bagwell 2011-04-12 22:57:47 EDT
Created attachment 491628 [details]
Support -a to fsck.hfs to work with systemd-fsck
Comment 5 Fedora Admin XMLRPC Client 2012-01-11 11:09:47 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Update System 2012-05-30 17:07:42 EDT
hfsplus-tools-332.14-15.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hfsplus-tools-332.14-15.fc16
Comment 7 Fedora Update System 2012-05-30 17:15:33 EDT
hfsplus-tools-332.14-15.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/hfsplus-tools-332.14-15.fc15
Comment 8 Chris Bagwell 2012-05-30 21:34:25 EDT
I wasn't able to test the F15 or F16 updates mentioned in comments but I was able to test the F17 which mentions -a support in its changelog.

I can confirm that upon rebooting an F17 with hfsplus-tools-540.1.linux3-1.fc17.i686 that the error message no longer is displayed.

I'm sure this will be of use to all the people taking advantage of the mac booting improvements in F17.  Thanks!

Report can be closed now.

Chris
Comment 9 Fedora Update System 2012-06-01 12:49:47 EDT
Package hfsplus-tools-332.14-15.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hfsplus-tools-332.14-15.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8663/hfsplus-tools-332.14-15.fc16
then log in and leave karma (feedback).
Comment 10 Fedora End Of Life 2012-08-07 16:27:34 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora Update System 2012-09-08 22:50:10 EDT
hfsplus-tools-332.14-15.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.